title

## YOLOX Training Settings

### Main Parameters

Exp Name
►Description
Name to identify this training run/experiment. Used for logging and saving files.
Max Epoch
►Description
Total number of training epochs.
Typical: 100-300
Depth
►Description
Controls the depth (number of layers) of the backbone. Higher depth improves accuracy but may slow down training.
Typical values: 0.33 (nano), 0.67 (tiny), 1.0 (s, m, l)
Width
►Description
Controls the width (number of channels) in each layer. Wider models capture more detail but use more memory.
Typical values: 0.25-1.33

### Details▼

Activation
►Description
Activation function used in the network.
Options: silu, relu, leaky_relu
Warmup Epochs
►Description
Number of epochs at the beginning with a slowly increasing learning rate.
Common: 3-5
Warmup LR
►Description
Starting learning rate during warmup phase. Usually set to 0.
Scheduler
►Description
Learning rate scheduler.
Default: yoloxwarmcos
No Aug Epochs
►Description
Number of final epochs with no data augmentation to improve final accuracy.
Typical: 10-20
Min LR Ratio
►Description
Minimum ratio between the final and initial learning rate.
Default: 0.05
EMA
►Description
Enable Exponential Moving Average of model weights for smoother training results.
Weight Decay
►Description
Regularization term to reduce overfitting.
Typical: 0.0001-0.001
Momentum
►Description
Momentum for optimizer.
Default: 0.9
Input Size
►Description
Size of input images during training, formatted as width,height.
Common values: 640,640 or 512,512

### Logs▼

Print Interval
►Description
How often to print training logs (in iterations).
Example: 10
Eval Interval
►Description
How often to evaluate on validation set (in epochs).
Example: 10
Save History CKPT
►Description
Save model checkpoints periodically for backup or resuming.
Test Size
►Description
Input size for evaluation, formatted as width,height.
Example: 640,640
Test Conf
►Description
Confidence score threshold for predictions during evaluation.
Typical: 0.01-0.3
NMS Thre
►Description
IoU threshold for non-maximum suppression (NMS).
Typical: 0.5-0.7

### Transformation Settings▼

Multiscale Range
►Description
Controls how much to vary image sizes during training for robustness.
Range: 0-10 (e.g. 5 = ±5 scale levels)
Enable Mixup
►Description
Toggle mixup augmentation on or off. Improves generalization.
Mosaic Prob
►Description
Probability of applying mosaic augmentation, which combines 4 images into 1.
Range: 0.0-1.0
Mixup Prob
►Description
Probability of applying mixup augmentation, blending two images and labels.
Range: 0.0-1.0
HSV Prob
►Description
Probability of applying HSV (color) augmentation to images.
Range: 0.0-1.0
Flip Prob
►Description
Probability of flipping the image horizontally.
Default: 0.5
Degrees
►Description
Maximum rotation angle for random rotation.
Typical: 0-15°
Mosaic Scale
►Description
Scale range for mosaic augmentation, formatted as min,max.
Example: 0.1,2.0
Mixup Scale
►Description
Scale range for mixup augmentation.
Example: 0.5,1.5
Translate
►Description
Maximum translation ratio. A value of 0.1 means 10% shift in image position.
Range: 0.0-0.3
Shear
►Description
Maximum shear angle in degrees for geometric distortion.
Typical: 0.0-5.0

## Parameters

### Category: Split

Seed
Train 70%
Valid 20%
Test 10%s

### Model Settings

Transfer Learning
Select Model
Upload .pth file

## Einstellungen

### Label Studio

API URL:
API Token:

### YOLOX

Installation Path:
Virtual Environment Path:
Output Folder: Folder for experiment files and JSON files
Data Directory: Path where training images are located